*{
    box-sizing: border-box;
}

body{
    background-color: whitesmoke;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100vh;
    overflow: hidden;
    margin: 0%;
}

.container{
    background-color:aliceblue;
    border: 3px #000 solid;
    border-radius: 10px;
    padding: 30px;
    max-width: 1000px;
    text-align: center;
}

.code-container{
    display: flexs;
    align-items: center;
    justify-content: center;
    margin: 40px 0px;
}

.code{
    border-radius: 5px;
    font-size: 75px;
    height: 100px;
    width: 80px;
    border: 1px solid #eee;
    margin: 1%;
    text-align: center;
    font-weight: 300;
    -moz-appearance: textfield; 
}

.code::-webkit-outer-spin-button,
.code::-webkit-inner-spin-button{

-webkit-appearance:none ;
margin: 0;
}


.code:valid{
    border-color:#3498db ;
    box-shadow:0 10px 10px -5px rgba(0, 0,0,0.25 );

}

@media(max-width:600px){
    .code-container{
        flex-wrap: wrap;
    }

    .code{
        font-size: 30px;
        height: 50px;
        max-width:40px;
    }
}